{% extends 'base.html.twig' %}

{% block title %}Biblioteca{% endblock %}

{% block body %}
    <div>
        <h1>Libros</h1>
    </div>    
</br>
    <div>
        <table class="table table-borderless">
            <thead>
            <tr>
                <th scope="col">TÍTULO</th>
                <th scope="col">AÑO PUBLICACIÓN</th>
                <th scope="col">AUTOR</th>
            </tr>
            </thead>
            <tbody>
                {% for libro in libros %}
                <tr>
                    <td>{{ libro.titulo }}</td>
                    <td>{{ libro.anio }}</td>
                    <td>{{ libro.autor }}</td>
                    <td>
                        <a href="{{path('app_ver_libro', {id:libro.id})}}" class="btn btn-info">Ver Detalles</a>
                        <a href="{{path('app_editar_libro', {id:libro.id})}}" class="btn btn-success">Editar</a>
                        <a href="{{path('app_eliminar_libro', {id:libro.id})}}" class="btn btn-danger">Eliminar</a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    </br>
    <div class="col-lg-8">
        <a href="{{path('app_crear_libro')}}" class="btn btn-primary">Crear Libro</a>
    </div>
{% endblock %}
